/**
 * ---------------------------------------------------------------------
 *
 * GLPI - Gestionnaire Libre de Parc Informatique
 *
 * http://glpi-project.org
 *
 * @copyright 2015-2025 Teclib' and contributors.
 * @copyright 2003-2014 by the INDEPNET Development Team.
 * @licence   https://www.gnu.org/licenses/gpl-3.0.html
 *
 * ---------------------------------------------------------------------
 *
 * LICENSE
 *
 * This file is part of GLPI.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * ---------------------------------------------------------------------
 */
import{GlpiFormConditionEngine}from"/js/modules/Forms/Condition/Engine.js";export class GlpiFormRendererController{#e;#t;#i;constructor(e,t){this.#e=document.querySelector(e);if($(this.#e).prop("tagName")!="FORM"){throw new Error("Target must be a valid form")}this.#t=0;this.#n();$(this.#e).find("[data-glpi-form-renderer-action=submit]").removeAttr("disabled");this.#i=new GlpiFormConditionEngine(t);this.#r();this.#s()}#n(){const e="data-glpi-form-renderer-action";$(this.#e).find(`[${e}=submit]`).on("click",(()=>this.#o()));$(this.#e).find(`[${e}=next-section]`).on("click",(()=>this.#a()));$(this.#e).find(`[${e}=previous-section]`).on("click",(()=>this.#d()));const t=_.debounce((()=>this.#l()),400);$(document).on("input tinyMCEInput",this.#e,(()=>{this.#c();t()}));$(this.#e).on("change",'[data-glpi-form-renderer-delegation-container] select[name="delegation_users_id"]',(e=>this.#g(e)));$(this.#e).removeClass("pointer-events-none")}async#f(){const e=$(this.#e).find(`[data-glpi-form-renderer-section="${this.#t}"]`);const t=e.data("glpi-form-renderer-uuid");const i=await $.ajax({url:`${CFG_GLPI.root_doc}/Form/ValidateAnswers`,type:"POST",data:`${$(this.#e).serialize()}&section_uuid=${t}`,dataType:"json"});$(this.#e).find(".invalid-tooltip").remove();$(this.#e).find(".is-invalid").removeClass("is-invalid").removeAttr("aria-invalid").removeAttr("aria-errormessage");if(i.success===false){Object.values(i.errors).forEach((e=>{const t=$(`[data-glpi-form-renderer-id="${e.question_id}"][data-glpi-form-renderer-question]`);if(!t.length){return}const i=t.find("input:not([type=hidden]):not([data-uploader-name]):not(.select2-search__field), select, textarea");if(!i.length){return}const n=`error-${e.question_id}`;i.addClass("is-invalid").attr("aria-invalid","true").attr("aria-errormessage",n);i.parent().append(`<span id="${n}" class="invalid-tooltip">${e.message}</span>`)}));return false}return true}async#o(){try{this.#c();if(window.tinymce!==undefined){tinymce.get().forEach((e=>{e.save()}))}if(!await this.#f()){this.#r();return}const e=await $.post({url:$(this.#e).prop("action"),data:$(this.#e).serialize()});glpi_toast_info(__("Item successfully created: %s").replace("%s",e.links_to_created_items.join(", ")));$(this.#e).find("[data-glpi-form-renderer-success]").removeClass("d-none");$(this.#e).find(`\n                    [data-glpi-form-renderer-form-header],\n                    [data-glpi-form-renderer-delegation-container],\n                    [data-glpi-form-renderer-section=${this.#t}],\n                    [data-glpi-form-renderer-parent-section=${this.#t}],\n                    [data-glpi-form-renderer-actions]\n                `).addClass("d-none")}catch(e){console.error(e);glpi_toast_error(__("Failed to submit form, please contact your administrator."))}finally{this.#r()}}async#a(){if(!await this.#f()){return}$(this.#e).find(`\n                [data-glpi-form-renderer-section=${this.#t}],\n                [data-glpi-form-renderer-parent-section=${this.#t}]\n            `).addClass("d-none");const e=this.#m();if(e===null){throw new Error("Impossible to load the next section")}this.#t=e;$(this.#e).find(`\n                [data-glpi-form-renderer-section=${this.#t}],\n                [data-glpi-form-renderer-parent-section=${this.#t}]\n            `).removeClass("d-none");this.#s()}#d(){$(this.#e).find(`\n                [data-glpi-form-renderer-section=${this.#t}],\n                [data-glpi-form-renderer-parent-section=${this.#t}]\n            `).addClass("d-none");const e=this.#p();if(e===null){throw new Error("Impossible to load the previous section")}this.#t=e;$(this.#e).find(`\n                [data-glpi-form-renderer-section=${this.#t}],\n                [data-glpi-form-renderer-parent-section=${this.#t}]\n            `).removeClass("d-none");this.#s()}#s(){if(this.#h()){$(this.#e).find("[data-glpi-form-renderer-action=submit]").addClass("d-none");$(this.#e).find("[data-glpi-form-renderer-action=next-section]").removeClass("d-none")}else{$(this.#e).find("[data-glpi-form-renderer-action=submit]").removeClass("d-none");$(this.#e).find("[data-glpi-form-renderer-action=next-section]").addClass("d-none")}if(this.#u()){$(this.#e).find("[data-glpi-form-renderer-action=previous-section]").removeClass("d-none")}else{$(this.#e).find("[data-glpi-form-renderer-action=previous-section]").addClass("d-none")}}async#l(){const e=await this.#i.computeVisiblity(this.#e);this.#$(e);this.#r()}#$(e){const t=this.#e;const i=t.querySelector("[data-glpi-form-renderer-action=submit]");if(i!==null){this.#b(i,e.form_visibility)}for(const[i,n]of Object.entries(e.sections_visibility)){const e=t.querySelector(`[data-glpi-form-renderer-section][data-glpi-form-renderer-id="${i}"]`);if(e===null){continue}if($(e).data("glpi-form-renderer-section")==this.#t){continue}this.#b(e,n)}for(const[i,n]of Object.entries(e.questions_visibility)){const e=t.querySelector(`[data-glpi-form-renderer-question][data-glpi-form-renderer-id="${i}"]`);if(e===null){continue}this.#b(e,n)}for(const[i,n]of Object.entries(e.comments_visibility)){const e=t.querySelector(`[data-glpi-form-renderer-comment][data-glpi-form-renderer-id="${i}"]`);if(e===null){continue}this.#b(e,n)}this.#s()}#b(e,t){if(t){e.removeAttribute("data-glpi-form-renderer-hidden-by-condition")}else{e.setAttribute("data-glpi-form-renderer-hidden-by-condition","")}}#m(){let e=null;const t=$(this.#e).find("[data-glpi-form-renderer-section]");t.each(((t,i)=>{if(i.dataset.glpiFormRendererSection<=this.#t){return}if(i.dataset.glpiFormRendererHiddenByCondition===undefined){e=i.dataset.glpiFormRendererSection;return false}}));return e}#p(){let e=null;const t=$(this.#e).find("[data-glpi-form-renderer-section]");t.each(((t,i)=>{if(i.dataset.glpiFormRendererSection>=this.#t){return false}if(i.dataset.glpiFormRendererHiddenByCondition===undefined){e=i.dataset.glpiFormRendererSection}}));return e}#h(){return this.#m()!==null}#u(){return this.#p()!==null}#c(){$(this.#e).find("button[data-glpi-form-renderer-action]").addClass("pointer-events-none")}#r(){$(this.#e).find("button[data-glpi-form-renderer-action]").removeClass("pointer-events-none")}async#g(){const e=$(this.#e).find("[data-glpi-form-renderer-delegation-container]").find('select[name="delegation_users_id"]').val();const t=await $.get("/Form/Delegation",{selected_user_id:e});$(this.#e).find("[data-glpi-form-renderer-delegation-container]").html(t)}}