/**
 * ---------------------------------------------------------------------
 *
 * GLPI - Gestionnaire Libre de Parc Informatique
 *
 * http://glpi-project.org
 *
 * @copyright 2015-2025 Teclib' and contributors.
 * @copyright 2003-2014 by the INDEPNET Development Team.
 * @licence   https://www.gnu.org/licenses/gpl-3.0.html
 *
 * ---------------------------------------------------------------------
 *
 * LICENSE
 *
 * This file is part of GLPI.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * ---------------------------------------------------------------------
 */
const StencilEditor=function(e,t,n){const o=n;const a=[];const i=this;i.init=function(){Array.prototype.forEach.call(document.querySelectorAll(".stencil-image"),(e=>{a.push(new window.Cropper(e))}));a.forEach((t=>{const n=t.getCropperSelection();n.hidden=true;n.$reset().hidden=true;t.getCropperCanvas().disabled=true;const o=t.getCropperImage();o.$ready((()=>{o.$center("cover");const n=o.getBoundingClientRect();const a=t.getCropperCanvas();$(e).find(a).css("height",n.height);o.$center()}))}));$(e).on("click",".set-zone-data",(function(e){e.preventDefault();i.editorEnable(parseInt($(this).data("zone-index")))})).on("click",`#save-zone-data-${t}`,(()=>{i.saveZoneData()})).on("click",`#reset-zone-data-${t}`,(()=>{i.resetZoneData()})).on("click",`#cancel-zone-data-${t}`,(()=>{i.editorDisable()})).on("click",'button[name="add-new-zone"]',(()=>{i.addNewZone()})).on("click",'button[name="remove-zone"]',(()=>{i.removeZone()}));$(`#clear-data-${t}`).on("click",(e=>{const n=$(`#clear-data-${t}`);if(n.data("delete")!="1"){const t=n.text();n.data("delete","1");n.text(_x("button","Are you sure?"));setInterval((()=>{n.data("delete","0");n.text(t)}),1e4);e.preventDefault()}}));$(document).on("keyup",(e=>{if(!i.isEditorActive()){return}var t=e.keyCode?e.keyCode:e.which;const n=a.some((e=>e.getCropperSelection()!==undefined&&e.getCropperSelection().height>0&&e.getCropperSelection().width>0));if(t==13&&n){i.saveZoneData();e.preventDefault()}else if(t==27){i.editorDisable();e.preventDefault()}})).on("keypress",(e=>{if(!i.isEditorActive()){return}var t=e.keyCode?e.keyCode:e.which;if(t==13){const t=a.some((e=>e.getCropperSelection()!==undefined&&e.getCropperSelection().height>0&&e.getCropperSelection().width>0));if(t){i.saveZoneData();e.preventDefault()}}}))}();i.editorEnable=function(n){const i=o[n]??{side:0};$(e).find('a.defined-zone[data-bs-toggle="tooltip"]').tooltip("hide");$(e).find(".set-zone-data").removeClass("btn-warning");$(e).find(".defined-zone").remove();$(e).find(`.set-zone-data[data-zone-index=${n}]`).addClass("btn-warning");$(e).find(`#general-submit-${t}`).addClass("d-none");$(e).find(`#zone-data-${t}`).removeClass("d-none");$(e).find(`#zone_label-${t}`).val(i["label"]??n);$(e).find(`#zone_number-${t}`).val(i["number"]??n).data("zone-index",n);a.forEach(((e,t)=>{e.getCropperSelection().$reset().hidden=false;e.getCropperCanvas().disabled=false;if(Object.keys(i).length>1&&t==i["side"]){e.getCropperImage().$setTransform(i["image"]);const t=i["selection"];e.getCropperSelection().$change(t["x"],t["y"],t["width"],t["height"])}}))};i.saveZoneData=function(){const n=a.filter((e=>e.getCropperSelection()!==undefined&&e.getCropperSelection().height>0&&e.getCropperSelection().width>0))[0];const d=n.getCropperCanvas();const s=n.getCropperSelection();const r=n.getCropperImage();const l=s.x;const c=s.y;const p=s.height;const f=s.width;const g=d.getBoundingClientRect();const u=r.getBoundingClientRect();const m=u.left-g.left;const h=u.top-g.top;const C=u.width;const b=u.height;const v=l-m;const z=c-h;const x=$(e).find(`#zone_number-${t}`).data("zone-index");const _=$(e).find(`#zone_number-${t}`).val();o[x]={selection:{x:l,y:c,height:p,width:f},image:r.$getTransform(),label:$(e).find(`#zone_label-${t}`).val(),number:_,side:a.indexOf(n)};o[x]["x_percent"]=v*100/C;o[x]["y_percent"]=z*100/b;o[x]["height_percent"]=p*100/b;o[x]["width_percent"]=f*100/C;i.editorDisable();$(e).find(`.set-zone-data[data-zone-index=${x}]`).removeClass("btn-warning").addClass("btn-success").find("i").removeClass("ti-file-unknown").addClass("ti-check");$(e).find(`.set-zone-data[data-zone-index=${x}]`).find("span").text(o[x]["label"]);i.sendDataForm()};i.sendDataForm=function(){$.ajax({type:"POST",url:`${CFG_GLPI.root_doc}/ajax/stencil.php`,data:{update:"",id:$(e).find("input[name=id]").val(),zones:JSON.stringify(o),_no_message:1}})};i.editorDisable=function(){a.forEach((e=>{e.getCropperSelection().$reset().hidden=true;e.getCropperCanvas().disabled=true;e.getCropperImage().$center("contain")}));$(e).find(".set-zone-data").removeClass("btn-warning");$(e).find(`#general-submit-${t}`).removeClass("d-none");$(e).find(`#zone-data-${t}`).addClass("d-none");i.redoZones()};i.isEditorActive=function(){return a.some((e=>e.getCropperCanvas().disabled===false))};i.redoZones=function(){$(e).find(".defined-zone").remove();for(const[n,a]of Object.entries(o)){$(e).find(`.stencil-image[data-side=${a["side"]}]`).parent().append(`\n                <a href="#zone_number_-${t}${n}"\n                class="defined-zone set-zone-data d-inline-flex align-items-center justify-content-center"\n                data-zone-index="${n}"\n                data-bs-toggle="tooltip"\n                data-bs-title="${_.escape(a["label"])}"\n                data-bs-placement="auto"\n                style="left: ${a["x_percent"]}%; top: ${a["y_percent"]}%; width: ${a["width_percent"]}%; height: ${a["height_percent"]}%;">\n                    <span class="zone-number" style="max-height: 90%;\n                        max-width: 90%;\n                        overflow: hidden;\n                        display: inline-block;\n                        vertical-align: middle;\n                        text-align: center;\n                        white-space: nowrap;\n                        font-size: 0.8em;">\n                        ${_.escape(a["label"])}\n                    </span>\n                </a>\n            `)}$(e).find('a.defined-zone[data-bs-toggle="tooltip"]').tooltip("enable")};i.addNewZone=function(){$.ajax({type:"POST",url:`${CFG_GLPI.root_doc}/ajax/stencil.php`,data:{"add-new-zone":"",id:$(e).find("input[name=id]").val(),_no_message:1},success:function(){$(`form#stencil-editor-form-${t} button[name="add-new-zone"][data-bs-toggle="tooltip"]`).tooltip("hide");var e=$(`form#stencil-editor-form-${t} button.set-zone-data`).length+1;var n=$("#zone-number-template");var o=$(n.html());$(o).attr("data-zone-index",e);$(o).find("span").text(e);o.insertBefore(n)}})};i.removeZone=function(){$.ajax({type:"POST",url:`${CFG_GLPI.root_doc}/ajax/stencil.php`,data:{"remove-zone":"",id:$(e).find("input[name=id]").val(),_no_message:1},success:function(){$(`form#stencil-editor-form-${t} button[name="remove-zone"][data-bs-toggle="tooltip"]`).tooltip("hide");$(`form#stencil-editor-form-${t} button.set-zone-data`).sort(((e,t)=>$(e).data("zone-index")-$(t).data("zone-index"))).last().remove()}})};i.resetZoneData=function(){const n=$(e).find(`#zone_number-${t}`).data("zone-index");$.ajax({type:"POST",url:`${CFG_GLPI.root_doc}/ajax/stencil.php`,data:{"reset-zone":"",id:$(e).find("input[name=id]").val(),"zone-id":n,_no_message:1},success:function(){$(`form#stencil-editor-form-${t} button[name="reset-zone-data"][data-bs-toggle="tooltip"]`).tooltip("hide");var e=$(`.set-zone-data[data-zone-index="${n}"]`);e.removeClass("btn-success").removeClass("btn-warning");e.find("span").text(n);e.find("i").removeClass("ti-check").addClass("ti-file-unknown");delete o[n];i.editorDisable();i.redoZones()}})}};