<?php

/**
 * Translation file for Bengali (Bangla) language.
 *
 * Licensed under the MIT license.
 *
 * @author Translated by Foysal Ahmed
 */

return array(
	'yearly' => array(
		'1' => 'বার্ষিক',
		'else' => 'প্রতি %{interval} বছর'
	),
	'monthly' => array(
		'1' => 'মাসিক',
		'else' => 'প্রতি %{interval} মাস'
	),
	'weekly' => array(
		'1' => 'সাপ্তাহিক',
		'2' => 'প্রতি দুই সপ্তাহে',
		'else' => 'প্রতি %{interval} সপ্তাহ'
	),
	'daily' => array(
		'1' => 'দৈনিক',
		'2' => 'প্রতি দুই দিনে',
		'else' => 'প্রতি %{interval} দিন'
	),
	'hourly' => array(
		'1' => 'প্রতি ঘণ্টায়',
		'else' => 'প্রতি %{interval} ঘণ্টা'
	),
	'minutely' => array(
		'1' => 'প্রতি মিনিটে',
		'else' => 'প্রতি %{interval} মিনিট'
	),
	'secondly' => array(
		'1' => 'প্রতি সেকেন্ডে',
		'else' => 'প্রতি %{interval} সেকেন্ড'
	),
	'dtstart' => ', শুরু %{date} থেকে',
	'timeofday' => ' %{date} সময়ে',
	'startingtimeofday' => ' %{date} থেকে শুরু',
	'infinite' => ', চিরকাল',
	'until' => ', শেষ %{date} পর্যন্ত',
	'count' => array(
		'1' => ', একবার',
		'else' => ', %{count} বার'
	),
	'and' => 'এবং ',
	'x_of_the_y' => array(
		'yearly' => 'বছরের %{x}', 
		'monthly' => 'মাসের %{x}',
	),
	'bymonth' => ' %{months} মাসে',
	'months' => array(
		1 => 'জানুয়ারি',
		2 => 'ফেব্রুয়ারি',
		3 => 'মার্চ',
		4 => 'এপ্রিল',
		5 => 'মে',
		6 => 'জুন',
		7 => 'জুলাই',
		8 => 'আগস্ট',
		9 => 'সেপ্টেম্বর',
		10 => 'অক্টোবর',
		11 => 'নভেম্বর',
		12 => 'ডিসেম্বর',
	),
	'byweekday' => ' %{weekdays} দিনে',
	'weekdays' => array(
		1 => 'সোমবার',
		2 => 'মঙ্গলবার',
		3 => 'বুধবার',
		4 => 'বৃহস্পতিবার',
		5 => 'শুক্রবার',
		6 => 'শনিবার',
		7 => 'রবিবার',
	),
	'nth_weekday' => array(
		'1' => 'প্রথম %{weekday}',
		'2' => 'দ্বিতীয় %{weekday}',
		'3' => 'তৃতীয় %{weekday}',
		'else' => '%{n}তম %{weekday}'
	),
	'-nth_weekday' => array(
		'-1' => 'শেষ %{weekday}',
		'-2' => 'শেষের আগের %{weekday}',
		'-3' => 'শেষের দ্বিতীয় আগের %{weekday}',
		'else' => 'শেষের %{n}তম %{weekday}'
	),
	'byweekno' => array(
		'1' => ' সপ্তাহ %{weeks} এ',
		'else' => ' সপ্তাহ %{weeks} এ'
	),
	'nth_weekno' => '%{n}',
	'bymonthday' => ' %{monthdays} তারিখে',
	'nth_monthday' => array(
		'1' => '১লা',
		'2' => '২রা',
		'3' => '৩রা',
		'21' => '২১শে',
		'22' => '২২শে',
		'23' => '২৩শে',
		'31' => '৩১শে',
		'else' => '%{n}তম'
	),
	'-nth_monthday' => array(
		'-1' => 'শেষ দিন',
		'-2' => 'শেষের আগের দিন',
		'-3' => 'শেষের দ্বিতীয় আগের দিন',
		'-21' => 'শেষের ২১তম দিন',
		'-22' => 'শেষের ২২তম দিন',
		'-23' => 'শেষের ২৩তম দিন',
		'-31' => 'শেষের ৩১তম দিন',
		'else' => 'শেষের %{n}তম দিন'
	),
	'byyearday' => array(
		'1' => ' %{yeardays} দিনে',
		'else' => ' %{yeardays} দিনে'
	),
	'nth_yearday' => array(
		'1' => 'প্রথম',
		'2' => 'দ্বিতীয়',
		'3' => 'তৃতীয়',
		'else' => '%{n}তম'
	),
	'-nth_yearday' => array(
		'-1' => 'শেষ',
		'-2' => 'শেষের আগের',
		'-3' => 'শেষের দ্বিতীয় আগের',
		'else' => 'শেষের %{n}তম'
	),
	'byhour' => array(
		'1' => ' %{hours} টায়',
		'else' => ' %{hours} টায়'
	),
	'nth_hour' => '%{n}ঘণ্টা',
	'byminute' => array(
		'1' => ' মিনিট %{minutes} এ',
		'else' => ' মিনিট %{minutes} এ'
	),
	'nth_minute' => '%{n}মিনিট',
	'bysecond' => array(
		'1' => ' সেকেন্ড %{seconds} এ',
		'else' => ' সেকেন্ড %{seconds} এ'
	),
	'nth_second' => '%{n}সেকেন্ড',
	'bysetpos' => ', কিন্তু শুধুমাত্র %{setpos} বার',
	'nth_setpos' => array(
		'1' => 'প্রথম',
		'2' => 'দ্বিতীয়',
		'3' => 'তৃতীয়',
		'else' => '%{n}তম'
	),
	'-nth_setpos' => array(
		'-1' => 'শেষ',
		'-2' => 'শেষের আগের',
		'-3' => 'শেষের দ্বিতীয় আগের',
		'else' => 'শেষের %{n}তম'
	)
);
